Subject: Re: [PATCH 2/3] brcmfmac: dhd_sdio.c: use existing atomic_or primitive

From: Vineet Gupta <[email-masked]>
Date: Fri, 24 Jul 2015 20:22:07 +0300

On Friday 24 July 2015 08:02 PM, Kalle Valo wrote:
> Vineet Gupta <[email-masked]> writes:
> 
>> > There's already a generic implementation so use that instead.
>> > ---
>> > I'm not sure if the driver usage of atomic_or?() is correct in terms of
>> > storage size of @val for 64 bit arches.
>> >
>> > Assuming LP64 programming model for linux on say x86_64: atomic_or()
>> > callers in this driver use long (sana 64 bit) storage and pass it to
>> > atomic_orr/atomic_or which downcasts it to 32 bits. Is that OK ?
>> > ---
>> > Cc: Brett Rudley <[email-masked]>
>> > Cc: Arend van Spriel <[email-masked]>
>> > Cc: "Franky (Zhenhui) Lin" <[email-masked]>
>> > Cc: Hante Meuleman <[email-masked]>
>> > Cc: Kalle Valo <[email-masked]>
>> > Cc: Pieter-Paul Giesberts <[email-masked]>
>> > Cc: Daniel Kim <[email-masked]>
>> > Cc: [email-masked]
>> > Cc: [email-masked]
>> > Cc: Peter Zijlstra <[email-masked]>
>> > Cc: Ingo Molnar <[email-masked]>
>> > Cc: [email-masked]
>> > Cc: [email-masked]
>> > Cc: [email-masked]
>> > Signed-off-by: Vineet Gupta <[email-masked]>
>> >
>> > Signed-off-by: Vineet Gupta <[email-masked]>
> What's the plan with this patch? Should I take it to my
> wireless-drivers-next tree or will someone else take it?

Per last discussion on this topic, Arend wanted to discuss abt this with Hante.
I'm not taking it anyways so feel free to pick it up if you want !

-Vineet